Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 339842 - net-im/gyach _FORTIFY_SOURCE indicates presence of overflow
Summary: net-im/gyach _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard: Pending Removal: 2012-04-24
Keywords: PMASKED
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-10-05 16:59 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-04-23 18:17 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (gyach-0.9.8:20101005-161124.log,51.95 KB, text/plain)
2010-10-05 16:59 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-05 16:59:08 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-05 16:59:21 UTC
Created attachment 249656 [details]
Build log
Comment 2 Pacho Ramos gentoo-dev 2012-03-19 12:03:51 UTC
No release since 2006 and there are alternatives for yahoo chat, probably a candidate for removal
Comment 3 Pacho Ramos gentoo-dev 2012-04-23 18:17:55 UTC
dropped